
Date.prototype.Format = function(fmt)
{ //author: meizz
  var o = {
    "M+" : this.getMonth()+1,                 //月份
    "d+" : this.getDate(),                    //日
    "HH+" : this.getHours(),                   //小时
    "m+" : this.getMinutes(),                 //分
    "s+" : this.getSeconds(),                 //秒
    "q+" : Math.floor((this.getMonth()+3)/3), //季度
    "S"  : this.getMilliseconds()             //毫秒
  };
  if(/(y+)/.test(fmt))
    fmt=fmt.replace(RegExp.$1, (this.getFullYear()+"").substr(4 - RegExp.$1.length));
  for(var k in o)
    if(new RegExp("("+ k +")").test(fmt))
  fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));
  return fmt;
}


function initialize() {

    document.getElementById("title").innerHTML = window.title.getStr();
    document.getElementById("author").innerHTML = window.source.getStr();
//    document.getElementById("publish_date").innerHTML = new Date(window.date.getStr() * 1 * 1000).Format("yyyy年MM月dd日 HH:mm");
    document.getElementById("publish_date").innerHTML = window.publishDate.getStr();
    document.getElementById("content").innerHTML = window.content.getStr();

    var dec = window.description.getStr();

    if (dec != "" && dec != "null") {
        document.getElementById("description").innerHTML = dec;
    } else {
        document.getElementById("description").style.display = "none";
    }

    if(window.showvoice.getStr()==""){
        document.getElementById("voice_icon").style.display = "none";
    }else{
        document.getElementById("voice_icon").style.display = "display";
    }
    if(window.showbuy.getStr()==""){
        document.getElementById("buy_icon").style.display = "none";
    }else{
        document.getElementById("buy_icon").style.display = "display";
    }

    var adStart = window.adStart.getStr();
    console.log('----------start='+adStart);
    if(adStart != "" && adStart != "null" && adStart != null && adStart != "undefined" && adStart != undefined){
        document.getElementById("ad_start_icon").src = adStart;
    }else{
        document.getElementById("ad_start").style.display = "none";
    }

    var adEnd = window.adEnd.getStr();
    console.log('----------end='+adEnd);
    if(adEnd != "" && adEnd != "null" && adEnd != null && adEnd != "undefined" && adEnd != undefined){
        document.getElementById("ad_end_icon").src = adEnd;
    }else{
        document.getElementById("ad_end").style.display = "none";
    }
}

//语音阅读
function startVoice(){
    window.js_callback.startVoice();
}
function tobuy(){
    window.js_callback.toBuy();
}
function adClick(position){
    window.js_callback.adClick(position);
}
/*原生播放器  positionType 0原始位置  1置顶**/
function showRealVideo(positionType) {
    var videos = document.getElementsByTagName("video")[0];
    if(videos) {
        console.log('有视频');
        videos.addEventListener('loadedmetadata', function () { //加载数据
            var width = videos.clientWidth;
            var height = videos.clientHeight;
            var top = videos.offsetTop;
            var left = videos.offsetLeft;
            if(positionType==0){
    //                videos.style.display = "none"
            }else{
                    videos.style.display = "none"
            }
            console.log('有视频---加载');
    //        videos.clientWidth = width;
    //        videos.clientHeight = height;
            window.js_callback.showRealVideo(width, height, top, left, videos.currentSrc, videos.poster);
        });
    }else{
        console.log('没有视频');
        window.js_callback.showRealVideo(0, 0, 0, 0, "", "");
    }
}

/*显示大图**/
function showBigImage() {
    var images = document.getElementById("content").getElementsByTagName("img");
    var imageMap = {};
    if (window.pictures) {
        pictures_json = eval(window.pictures.getStr());

        for (var i = 0; i < pictures_json.length; i++) {
            imageMap[pictures_json[i].pictureId] = pictures_json[i];
        }
    }
    if (images) {

        for (var i = 0; i < images.length; i++) {
            var image = images[i];
            if (image.parentNode.nodeName == "A") {
                continue;
            }
  			if (window.medias&&i==0)
            {
              continue;
            }
            var picId = image.id;

            if (picId && imageMap[picId]) {
                var picture = imageMap[picId];
                var url = picture.linkurl;
                if (url != "null" && url != "") {
                    if (url.trim().indexOf("http://") == -1) {
                        url = "http://" + url;
                    }
                    addImagelink(picId, url);
                } else {
                    image.onclick = function() {
                        window.js_callback.onImageClick(imageMap[this.id].fileHD);
                    };
                }

            } else {
                image.onclick = function() {
                    window.js_callback.onImageClick(this.src);
                };
            }
            image.onload = function() {
                              resize();
                              console.log('图片完成');
                         }
        }
    }
}

function resize(){
                              console.log('js--resize');
    window.js_callback.resize(document.body.scrollHeight);
                                  console.log('js--resize-end');
}

function setFontSize(contentSize,titleSize,timeSize,descSize) {
    document.getElementById("content").style.fontSize = contentSize;
    document.getElementById("title").style.fontSize = titleSize;
    document.getElementById("publish_date").style.fontSize = timeSize;
    document.getElementById("description").style.fontSize = descSize;
}

function insertNewP(index,url) {
    var contentDiv = document.getElementsByClassName("content");
    var pNode = document.createElement("p");
    pNode.setAttribute("id","android_insert_p");
    pNode.style = "text-align: center";
    var newNode = document.createElement("img");
    newNode.setAttribute("id","android_insert_img");
    var reforeNode = document.getElementsByTagName("p")[index];


    newNode.src = url;
    newNode.style.width = "100%";
    newNode.style.height = "100%";

    pNode.appendChild(newNode);

	 var spanElement = document.createElement("span");
     spanElement.setAttribute("class", "playicon");
     var parent = newNode.parentNode;
     parent.style.position = "relative";
     insertAfter(spanElement, newNode, parent);

     contentDiv[0].insertBefore(pNode,reforeNode);

    	newNode.onclick = function() {
        window.js_callback.insertVideoReady(newNode.width,newNode.height,pNode.offsetTop,pNode.offsetLeft);
    }
    	spanElement.onclick = function() {
        window.js_callback.insertVideoReady(newNode.width,newNode.height,pNode.offsetTop,pNode.offsetLeft);
    }
}

function insertAfter(newElement, targetElement, parent) {

    if (parent.lastChild == targetElement) { //如果目标元素是最后一个元素
        parent.appendChild(newElement); //将元素插入到父元素下的最后一个元素
    } else {
        parent.insertBefore(newElement, targetElement.nextsibling); //讲元素插入到目标元素的下一个兄弟元素的前面
    }
}

function getNewNode(){
 	 var pNode = document.getElementById("android_insert_p");
 	 var newNode = document.getElementById("android_insert_img");
     window.js_callback.sendVideoParams(newNode.width,newNode.height,pNode.offsetTop,pNode.offsetLeft);
}
function addVideoView(){
 	 var pNode = document.getElementById("android_insert_p");
 	 var newNode = document.getElementById("android_insert_img");
     window.js_callback.insertVideoReady(newNode.width,newNode.height,pNode.offsetTop,pNode.offsetLeft);
}

window.onload = function() {
    initialize();
}


